# eric3.Checks.__init__

Package implementing various modules for source code checks.

### Classes

Checkers |

### Functions

None

## Checkers

Class implementing the high level interface.

### Derived from

QObject

### Methods

Checkers | Constructor
getActions | Public method to get a list of all actions.
handlePyLint | Public method used to perform a PyLint run.
handlePyLintShow | Private slot to show the PyLint dialog with the results of the last run.
handleShowMenu | Private slot to handle the aboutToShow signal of the menu.
handleSyntaxCheck | Private slot used to check the project files for bad syntax.
handleTabnanny | Private slot used to check the project files for bad indentations.
initActions | Private method to initialize the Checkers actions.
initMenu | Private method called to build the project packagers submenu.

### Checkers (Constructor)

Checkers(projectOrBrowser, parent)

Constructor

projectOrBrowser
  reference to the project or project browser object
parent
  parent object of this class (QObject)

### Checkers.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E3Action)

### Checkers.handlePyLint

handlePyLint(project, mpName)

Public method used to perform a PyLint run.

project
  reference to the Project object
mpName
  name of module or package to be checked (string or QString)

### Checkers.handlePyLintShow

handlePyLintShow()

Private slot to show the PyLint dialog with the results of the last run.

### Checkers.handleShowMenu

handleShowMenu()

Private slot to handle the aboutToShow signal of the menu.

### Checkers.handleSyntaxCheck

handleSyntaxCheck(files)

Private slot used to check the project files for bad syntax.

files
  File or list of files or directory to be checked (string or list of strings)

### Checkers.handleTabnanny

handleTabnanny(files)

Private slot used to check the project files for bad indentations.

files
  File or list of files or directory to be checked (string or list of strings)

### Checkers.initActions

initActions()

Private method to initialize the Checkers actions.

### Checkers.initMenu

initMenu()

Private method called to build the project packagers submenu.

Returns:
  the menu or None

Up